aboutsummaryrefslogtreecommitdiffstats
path: root/testing/cppcheck/APKBUILD
diff options
context:
space:
mode:
authorAmatCoder <amatcoder@gmail.com>2016-05-28 09:46:27 +0000
committerJakub Jirutka <jakub@jirutka.cz>2016-06-01 23:01:07 +0200
commit92f85a405c3a6d8cfd2387a2f8bb7816a4c87cdc (patch)
treea4522c40541108ec9d4a8f9e24eaedd9ec8819bc /testing/cppcheck/APKBUILD
parentba29897fd808431874f6474424aba0190d8ac639 (diff)
downloadaports-92f85a405c3a6d8cfd2387a2f8bb7816a4c87cdc.tar.gz
aports-92f85a405c3a6d8cfd2387a2f8bb7816a4c87cdc.tar.bz2
aports-92f85a405c3a6d8cfd2387a2f8bb7816a4c87cdc.tar.xz
testing/cppcheck: upgrade to 1.73
Diffstat (limited to 'testing/cppcheck/APKBUILD')
-rw-r--r--testing/cppcheck/APKBUILD49
1 files changed, 19 insertions, 30 deletions
diff --git a/testing/cppcheck/APKBUILD b/testing/cppcheck/APKBUILD
index 2fc4c5fa68..899b1eb858 100644
--- a/testing/cppcheck/APKBUILD
+++ b/testing/cppcheck/APKBUILD
@@ -1,34 +1,23 @@
# Contributor: August Klein <amatcoder@gmail.com>
# Maintainer: August Klein <amatcoder@gmail.com>
pkgname=cppcheck
-pkgver=1.69
+pkgver=1.73
pkgrel=0
pkgdesc="A static analysis tool for C/C++ code"
url="http://cppcheck.sourceforge.net"
arch="all"
license="GPL3"
depends=""
-depends_dev=""
-makedepends="$depends_dev docbook-xsl pcre-dev qt5-qttools-dev"
-install=""
+makedepends="docbook-xsl pcre-dev qt5-qttools-dev"
subpackages="$pkgname-doc $pkgname-htmlreport $pkgname-gui"
source="$pkgname-$pkgver.tar.gz::https://github.com/danmar/cppcheck/archive/$pkgver.tar.gz
avoid_execinfo.patch
set_datadir.patch"
-_builddir="$srcdir"/$pkgname-$pkgver
-prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
-}
+builddir="$srcdir"/$pkgname-$pkgver
build() {
- cd "$_builddir"
+ cd "$builddir"
make DB2MAN=/usr/share/xml/docbook/xsl-stylesheets-*/manpages/docbook.xsl man || return 1
cd gui
@@ -38,7 +27,7 @@ build() {
}
package() {
- cd "$_builddir"
+ cd "$builddir"
make DESTDIR="$pkgdir" CFGDIR=/usr/share/cppcheck/cfg HAVE_RULES=yes install || return 1
install -Dm644 cppcheck.1 "$pkgdir"/usr/share/man/man1/cppcheck.1 || return 1
}
@@ -46,31 +35,31 @@ package() {
htmlreport() {
pkgdesc="A utility to generate a html report of a XML file produced by cppcheck"
arch="noarch"
- depends="cppcheck py-pygments"
+ depends="$pkgname py-pygments"
- cd "$_builddir"
+ cd "$builddir"
mkdir -p "$subpkgdir"/usr/bin
mv "$pkgdir"/usr/bin/$subpkgname "$subpkgdir"/usr/bin/
}
gui() {
pkgdesc="A Qt gui for cppcheck"
- depends="cppcheck"
+ depends="$pkgname"
- cd "$_builddir"
+ cd "$builddir"
mkdir -p "$subpkgdir"/usr/bin
- mv gui/$subpkgname "$subpkgdir"/usr/bin/
+ mv gui/$subpkgname "$subpkgdir"/usr/bin/ || return 1
mkdir -p "$subpkgdir"/usr/share/cppcheck/lang/
mv gui/cppcheck*.qm "$subpkgdir"/usr/share/cppcheck/lang/
}
-md5sums="9bc7532d9371f506bc4547a05a1fdebf cppcheck-1.69.tar.gz
-f7543600f177495d19246934210df4c4 avoid_execinfo.patch
-9107713c930708436089b31eb3975de0 set_datadir.patch"
-sha256sums="6e54f0dc97cbcc6c742cef4ceb1ade7f20f88af713a19c7613dba1d78eed6363 cppcheck-1.69.tar.gz
-d628da592fd6fce32d533a8333a20ea0bc273a1a21ed6057f0673678b6bdf4a5 avoid_execinfo.patch
-0f76926ea6baec00cad4e62ecb9215139cf8a1709c3ec613f494212e18ac5275 set_datadir.patch"
-sha512sums="0b0ea178e9135987153f104f6b8dac8f6c441c55893dd1e32217087b97f3ae6be8fb6365e93d23d202195dde61a32e1fb6a532e6c54c2a54564d09cf774bdbe0 cppcheck-1.69.tar.gz
-0f8b62dfbef9305d7146adf14cd01e028e12a63f781d8f25e3e813ecbf98f8bc0c79b0085ec277a12bee8208abddc5520b51e64c5a3503dc77e52db95688c66d avoid_execinfo.patch
-b3cdd52899c2e1633cd715243b285029a8e72aa3e745be04579677b572b569ef3616dbe98df11cc9a39bc9acd9c13cc43bc4d21edc7e7fde8b95a9903cdcd58e set_datadir.patch"
+md5sums="8c2713c4475ff204438b7dc999011e26 cppcheck-1.73.tar.gz
+3d29b07670be78cf36ef8493089f37cd avoid_execinfo.patch
+24f448e5821494d4f02d44551aa8cb0a set_datadir.patch"
+sha256sums="938d792c9399233b551bd9991d6842f353fa8dad973d5e457b78be66646c8b8f cppcheck-1.73.tar.gz
+aa6a72bc06039b857accc04c00cddb37d19aa86f3a8aee01ce17fac969d87fe4 avoid_execinfo.patch
+993e9426221624f59f2e22a814af03097976a3fded7c06f57bf702d532e7bcef set_datadir.patch"
+sha512sums="556f5f3f0f4cd33a470ee6a16a60b3a0a43fac0547bd3bb70f4a3253fa51870d2b780686d907bfc3a038f8630cf9e6ebc0adc417104fef69ab3369c6157f6ae3 cppcheck-1.73.tar.gz
+5c21e4be5a0e11b26da38e4bbe5566d27e01024198947ed6bf4de88f1067159e730966e85d67af99034e54be9120a065b17f16b86278b28d792597c3f8c65c2b avoid_execinfo.patch
+76f0699273347068b562d001cf6701ef3180506d21bd9298a6b1f2e522ea3c32b1cc350128a2c0b8d69b89aa3c0992b04e9d641ae170b51e3073acb3c6ca7b6e set_datadir.patch"